- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.ExportSoarNetworksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarNetworks/export#body.aspect_1)

**Full name**: projects.locations.instances.soarNetworks.export

Exports all `SoarNetworks` to a CSV file. Use this method to download a portable representation of all internal network subnets for auditing or backup purposes.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/soarNetworks:export`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance from which to export networks. Format: projects/{project}/locations/{location}/instances/{instance}/soarNetworks |

### Request body

The request body must be empty.

### Response body

The SoarNetworks to export.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "fileName": string, "contentType": string, "content": string } ``` |

| Fields ||
|---|---|
| `fileName` | `string` Required. The filename to export to. |
| `contentType` | `string` Required. The content type of the file. |
| `content` | `string` Required. The CSV file content. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.soarNetworks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).